## ros-iron-moveit-setup-app-plugins 2.8.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.22)
project(moveit_setup_app_plugins LANGUAGES CXX)

# Common cmake code applied to all moveit packages
find_package(moveit_common REQUIRED)
moveit_package()

find_package(ament_cmake REQUIRED)
find_package(ament_cmake_ros REQUIRED)
find_package(ament_index_cpp REQUIRED)
find_package(moveit_ros_visualization REQUIRED)
find_package(moveit_setup_framework REQUIRED)
find_package(pluginlib REQUIRED)
find_package(rclcpp REQUIRED)

# Instruct CMake to run moc automatically when needed.
set(CMAKE_AUTOMOC ON)
add_definitions(-DQT_NO_KEYWORDS)

qt5_wrap_cpp(MOC_FILES
    include/moveit_setup_app_plugins/launches_widget.hpp
    include/moveit_setup_app_plugins/perception_widget.hpp
)

add_library(moveit_setup_app_plugins
    src/launches.cpp
    src/launches_widget.cpp
    src/launches_config.cpp
    src/perception_config.cpp
    src/perception.cpp
    src/perception_widget.cpp
    ${MOC_FILES}
)
target_include_directories(moveit_setup_app_plugins PUBLIC
  $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
  $<INSTALL_INTERFACE:include/moveit_setup_app_plugins>
)
ament_target_dependencies(moveit_setup_app_plugins
  ament_index_cpp
  moveit_ros_visualization
  moveit_setup_framework
  pluginlib
  rclcpp
)

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()

  find_package(ament_cmake_gtest REQUIRED)
  ament_add_gtest(test_perception test/test_perception.cpp)
  target_link_libraries(test_perception moveit_setup_app_plugins)
endif()

install(DIRECTORY templates DESTINATION share/moveit_setup_app_plugins)

install(TARGETS moveit_setup_app_plugins
        EXPORT moveit_setup_app_pluginsTargets
        ARCHIVE DESTINATION lib
        LIBRARY DESTINATION lib
        RUNTIME DESTINATION bin
        INCLUDES DESTINATION include/moveit_setup_app_plugins
)
install(FILES moveit_setup_framework_plugins.xml
        DESTINATION share/moveit_setup_app_plugins
)
install(DIRECTORY include/
        DESTINATION include/moveit_setup_app_plugins
)

ament_export_targets(moveit_setup_app_pluginsTargets HAS_LIBRARY_TARGET)
pluginlib_export_plugin_description_file(moveit_setup_framework moveit_setup_framework_plugins.xml)

ament_package()

=== debian/changelog ===
ros-iron-moveit-setup-app-plugins (2.8.0-1jammy) jammy; urgency=high

  * Replaced boost::algorithm::join with fmt::join (#2273 <https://github.com/ros-planning/moveit2/issues/2273>)
    * Replaced boost::algorithm::join with fmt::join
    * Made changes in CMakeLists.txt to accomodate fmt
    * Updated package.xml files
    * removed redundant boost dependencies
    * Rename variables -> variable
    ---------
    Co-authored-by: Sebastian Castro <4603398+sea-bass@users.noreply.github.com>
    Co-authored-by: Sebastian Jahr <sebastian.jahr@picknik.ai>
  * Contributors: Shobuj Paul

 -- David V. Lu!! <davidvlu@gmail.com>  Sat, 09 Sep 2023 22:00:00 -0000

ros-iron-moveit-setup-app-plugins (2.7.4-1jammy) jammy; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 17 May 2023 22:00:00 -0000

ros-iron-moveit-setup-app-plugins (2.7.3-1jammy) jammy; urgency=high

  * Replace Variable PROJECT_NAME in CMakeLists.txt with the actual name (#2020 <https://github.com/ros-planning/moveit2/issues/2020>)
  * Contributors: Shobuj Paul

 -- David V. Lu!! <davidvlu@gmail.com>  Sun, 23 Apr 2023 22:00:00 -0000

ros-iron-moveit-setup-app-plugins (2.7.2-1jammy) jammy; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Mon, 17 Apr 2023 22:00:00 -0000

ros-iron-moveit-setup-app-plugins (2.7.1-1jammy) jammy; urgency=high

  * add missing dependencies on config utils (#1962 <https://github.com/ros-planning/moveit2/issues/1962>)
    when installing ros-humble-moveit-setup-assistant from debs,
    the package cannot currently run due to this missing depend
  * Contributors: Michael Ferguson

 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 22 Mar 2023 23:00:00 -0000

ros-iron-moveit-setup-app-plugins (2.7.0-1jammy) jammy; urgency=high

  * Merge PR #1712 <https://github.com/ros-planning/moveit2/issues/1712>: fix clang compiler warnings + stricter CI
  * Declare selected classes as final
  * Fix BSD license in package.xml (#1796 <https://github.com/ros-planning/moveit2/issues/1796>)
    * fix BSD license in package.xml
    * this must also be spdx compliant
  * Minimize use of this-> (#1784 <https://github.com/ros-planning/moveit2/issues/1784>)
    It's often unnecessary. MoveIt already avoids this in most cases
    so this PR better cements that existing pattern.
  * Contributors: Chris Thrasher, Christian Henkel, Robert Haschke

 -- David V. Lu!! <davidvlu@gmail.com>  Sat, 28 Jan 2023 23:00:00 -0000

ros-iron-moveit-setup-app-plugins (2.6.0-1jammy) jammy; urgency=high

  * Merge PR #1553 <https://github.com/ros-planning/moveit2/issues/1553>: Improve cmake files
  * Cleanup cmake files
    - Replace ament_export_libraries() -> ament_export_targets(HAS_LIBRARY_TARGET)
    - Replace ament_export_include_directories() -> INCLUDES DESTINATION include
    See https://docs.ros.org/en/foxy/How-To-Guides/Ament-CMake-Documentation.html#building-a-library
  * Use standard exported targets: export_${PROJECT_NAME} -> ${PROJECT_NAME}Targets
  * Improve CMake usage (#1550 <https://github.com/ros-planning/moveit2/issues/1550>)
  * Contributors: Robert Haschke, Sebastian Jahr

 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 09 Nov 2022 23:00:00 -0000

ros-iron-moveit-setup-app-plugins (2.5.3-1jammy) jammy; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 27 Jul 2022 22:00:00 -0000

ros-iron-moveit-setup-app-plugins (2.5.2-1jammy) jammy; urgency=high

  * [MSA] Testing Framework for MoveItSetupAssistant (#1383 <https://github.com/ros-planning/moveit2/issues/1383>)
  * MSA: Fix bug in sensors_3d reexport (#1405 <https://github.com/ros-planning/moveit2/issues/1405>)
  * update format of msa sensors_3d config (#1398 <https://github.com/ros-planning/moveit2/issues/1398>)
  * Merge pull request #1254 <https://github.com/ros-planning/moveit2/issues/1254> from ros-planning/feature/msa
    MoveIt Setup Assistant - Merge the Feature branch
  * [MSA] Clean up extra parentheses (#1366 <https://github.com/ros-planning/moveit2/issues/1366>)
  * PR Feedback
  * [MSA] Initial Controllers and Simulation Steps Port (#1252 <https://github.com/ros-planning/moveit2/issues/1252>)
  * [MSA] Merge main into feature/msa (Part III) (#1249 <https://github.com/ros-planning/moveit2/issues/1249>)
  * [MSA] Launch Updates (#1247 <https://github.com/ros-planning/moveit2/issues/1247>)
  * [MSA] Merge main into feature/msa (Part II) (#1240 <https://github.com/ros-planning/moveit2/issues/1240>)
  * [MSA] Generate More New Launch Files (#1213 <https://github.com/ros-planning/moveit2/issues/1213>)
  * [MSA] Add Setup Step for Generating Launch Files (#1129 <https://github.com/ros-planning/moveit2/issues/1129>)
  * [MSA] Merge Upstream into feature/msa (#1119 <https://github.com/ros-planning/moveit2/issues/1119>)
  * [MSA] SRDF Setup (#1057 <https://github.com/ros-planning/moveit2/issues/1057>)
  * [MSA] Initial Refactor
  * Move Files Around (split into multiple packages, change to hpp extension)
  * Contributors: David V. Lu, David V. Lu!!, Michael Ferguson, Vatan Aksoy Tezer
  * [MSA] Testing Framework for MoveItSetupAssistant (#1383 <https://github.com/ros-planning/moveit2/issues/1383>)
  * MSA: Fix bug in sensors_3d reexport (#1405 <https://github.com/ros-planning/moveit2/issues/1405>)
  * update format of msa sensors_3d config (#1398 <https://github.com/ros-planning/moveit2/issues/1398>)
    This mostly handles #1388 <https://github.com/ros-planning/moveit2/issues/1388> - it is still possible to enter an integer where a float is required (or to leave a field blank and end up with a string), but it's a big improvement over what we currently have
  * Merge pull request #1254 <https://github.com/ros-planning/moveit2/issues/1254> from ros-planning/feature/msa
    MoveIt Setup Assistant - Merge the Feature branch
  * [MSA] Clean up extra parentheses (#1366 <https://github.com/ros-planning/moveit2/issues/1366>)
  * PR Feedback
  * [MSA] Initial Controllers and Simulation Steps Port (#1252 <https://github.com/ros-planning/moveit2/issues/1252>)


=== debian/control ===
Source: ros-iron-moveit-setup-app-plugins
Section: misc
Priority: optional
Maintainer: David V. Lu!! <davidvlu@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-iron-ament-clang-format <!nocheck>, ros-iron-ament-cmake, ros-iron-ament-cmake-gtest <!nocheck>, ros-iron-ament-cmake-lint-cmake <!nocheck>, ros-iron-ament-cmake-xmllint <!nocheck>, ros-iron-ament-index-cpp, ros-iron-ament-lint-auto <!nocheck>, ros-iron-moveit-configs-utils, ros-iron-moveit-ros-visualization, ros-iron-moveit-setup-framework, ros-iron-pluginlib, ros-iron-rclcpp, ros-iron-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-iron-moveit-setup-app-plugins
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-iron-ament-index-cpp, ros-iron-moveit-configs-utils, ros-iron-moveit-ros-visualization, ros-iron-moveit-setup-framework, ros-iron-pluginlib, ros-iron-rclcpp, ros-iron-ros-workspace
Description: Various specialty plugins for MoveIt Setup Assistant

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/iron/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/iron" \
		-DAMENT_PREFIX_PATH="/opt/ros/iron" \
		-DCMAKE_PREFIX_PATH="/opt/ros/iron" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-iron-moveit-setup-app-plugins//opt/ros/iron/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_install
